YPMATCH(1)

NAME
ypmatch - print the value of one or more keys from a NIS map

SYNOPSIS
ypmatch [ -d domain ] [ -k ] [ -t ] key ... mname

ypmatch -x

AVAILABILITY

This command is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION

ypmatch prints the values associated with one or more keys from the Network Information Service (NIS) map specified by mname, which may be either a mapname or an map nickname.

Multiple keys can be specified; the same map will be searched for all . The keys must be exact values insofar as capitalization and length are concerned. No pattern matching is available. If a key is not matched, a diagnostic message is produced.

OPTIONS

-d  Specify a domain other than the default domain.

-k  Before printing the value of a key, print the key itself, followed by a `:' colon . This is useful only if the keys are not duplicated in the values, or you've specified so many keys that the output could be confusing.

-t  Inhibit translation of nickname to mapname. For example, `ypmatch -t zippy passwd ' will fail because there is no map named passwd, while `ypmatch zippy passwd ' will be translated to `ypmatch zippy passwd.byname '.

-x  Display the map nickname table. This lists the nicknames (mnames) the command knows of, and indicates the mapname associated with each nickname.

SEE ALSO
ypcat(1), ypfiles(5)

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.